#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Sphinx extension to automatically generate an examples gallery
Summary(pl.UTF-8):	Rozszerzenie Sphinksa do automatycznego generowania galerii przykładów
Name:		python3-sphinx_gallery
Version:	0.11.0
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinx-gallery/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinx-gallery/sphinx-gallery-%{version}.tar.gz
# Source0-md5:	c3adbd7c2e2315a72f9c8056feec2d7c
URL:		https://github.com/sphinx-gallery/sphinx-gallery
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	ffmpeg
BuildRequires:	python3-Sphinx >= 1.8.3
BuildRequires:	python3-joblib
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
Provides:	python3-sphinx-gallery = %{version}-%{release}
Obsoletes:	python3-sphinx-gallery < 0.4.0-5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Sphinx extension that builds an HTML version of any Python script
and puts it into an examples gallery.
  
It is extracted from the scikit-learn project and aims to be an
independent general purpose extension.

%description -l pl.UTF-8
Rozszerzenie Sphinksa tworzące wersję HTML dowolnego skryptu Pythona i
umieszczające go w galerii przykładów.

Zostało wyciągnięte z projektu scikit-learn z myślą o używaniu jako
niezależne rozszerzenie ogólnego przeznaczenia.

%prep
%setup -q -n sphinx-gallery-%{version}

%build
%py3_build

%if %{with tests}
# test_embed_code_links_get_data, test_run_sphinx use network
# test_embed_links_and_styles is too dependent on sphinx version?
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_cov.plugin" \
PYTHONPATH=$(pwd)/build-3/lib \
%{__python3} -m pytest sphinx_gallery/tests -k 'not test_embed_code_links_get_data and not test_embed_links_and_styles and not test_run_sphinx'
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/sphinx_gallery/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%attr(755,root,root) %{_bindir}/copy_sphinxgallery.sh
%attr(755,root,root) %{_bindir}/sphx_glr_python_to_jupyter.py
%{py3_sitescriptdir}/sphinx_gallery
%{py3_sitescriptdir}/sphinx_gallery-%{version}-py*.egg-info
%changelog
* Wed Jan 11 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinx_gallery.git;a=log;h=master

* Wed Jan 11 2023 Jakub Bogusz <qboosh@pld-linux.org> 24579f4
- disable test_run_sphinx (uses network)

* Wed Jan 11 2023 Jakub Bogusz <qboosh@pld-linux.org> 2915555
- updated to 0.11.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 8a28578
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 4351c53
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> e10144e
- release 3 (by relup.sh)

* Mon Jun 01 2020 Jan Rękorajski <baggins@pld-linux.org> 2f5bcab
- release 2 (by relup.sh)

* Sun May 31 2020 Jakub Bogusz <qboosh@pld-linux.org> c73243e
- updated to 0.7.0

* Fri May 15 2020 Jakub Bogusz <qboosh@pld-linux.org> c766a95
- try to disable test_embed_code_links_get_data test which requires network

* Thu May 14 2020 Jakub Bogusz <qboosh@pld-linux.org> b72dfe9
- updated python-sphinx_gallery to 0.6.2 for python 3.5+

* Wed May 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 37f686b
- unify package naming (sphinx-gallery -> sphinx_gallery, like import and egg name); release 5

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> e61c608
- install process cleanup
- rel 4

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4aa3d5b
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Sep 17 2019 Jakub Bogusz <qboosh@pld-linux.org> f01fe26
- fix non-deterministic tools packaging; release 2

* Sun Sep 08 2019 Jakub Bogusz <qboosh@pld-linux.org> e8b6716
- new

